package es.uv.saic.domain;

import java.io.Serializable;
import java.math.BigInteger;

import jakarta.persistence.*;
import java.util.Date;

/**
 * The persistent class for the tasquesi database table.
 * 
 */
@Entity
@Table(name="tasquesi")
@NamedQuery(name="InstanciaTasca.findAll", query="SELECT t FROM InstanciaTasca t")
public class InstanciaTasca implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="id_tascai")
	private BigInteger idInstanciaTasca;

	@Temporal(TemporalType.DATE)
	@Column(name="data_fet")
	private Date dataFet;
	
	@Temporal(TemporalType.DATE)
	@Column(name="data")
	private Date data;
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="data_mod")
	private Date dataMod;
	
	private Integer version;

	private String estat;

	private String evidencia;
	
	private String text;

	//bi-directional many-to-one association to Instancia
	@ManyToOne
	@JoinColumn(name="id_instancia")
	private Instancia instancia;

	//bi-directional many-to-one association to Tasca
	@ManyToOne
	@JoinColumn(name="id_tasca")
	private Tasca tasca;

	//bi-directional many-to-one association to Usuari
	@ManyToOne
	@JoinColumn(name="usuari_fet")
	private Usuari usuari;

	public InstanciaTasca() {
	}

	public BigInteger getIdInstanciaTasca() {
		return this.idInstanciaTasca;
	}

	public void setIdInstanciaTasca(BigInteger idInstanciaTasca) {
		this.idInstanciaTasca = idInstanciaTasca;
	}

	public Date getDataFet() {
		return this.dataFet;
	}

	public void setDataFet(Date dataFet) {
		this.dataFet = dataFet;
	}
	
	public Date getData() {
		return this.data;
	}

	public void setData(Date data) {
		this.data = data;
	}
	
	public Date getDataMod() {
		return dataMod;
	}

	public void setDataMod(Date dataMod) {
		this.dataMod = dataMod;
	}

	public Integer getVersion() {
		return this.version;
	}

	public void setVersion(Integer version) {
		this.version = version;
	}
	
	public String getEstat() {
		return this.estat;
	}

	public void setEstat(String estat) {
		this.estat = estat;
	}

	public String getEvidencia() {
		return this.evidencia;
	}

	public void setEvidencia(String evidencia) {
		this.evidencia = evidencia;
	}
	
	public String getText() {
		return this.text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public Instancia getInstancia() {
		return this.instancia;
	}

	public void setInstancia(Instancia instancia) {
		this.instancia = instancia;
	}

	public Tasca getTasca() {
		return this.tasca;
	}

	public void setTasca(Tasca tasca) {
		this.tasca = tasca;
	}

	public Usuari getUsuari() {
		return this.usuari;
	}

	public void setUsuari(Usuari usuari) {
		this.usuari = usuari;
	}

}